Package org.eclipse.rdf4j.federated.api

## Interface FedXApi

-     public interface FedXApi

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addEndpoint​(Endpoint e)` |
    `TupleQueryResult` | `evaluate​(String query)` |
    `TupleQueryResult` | `evaluate​(String query, List<Endpoint> endpoints)` |
    `TupleQueryResult` | `evaluateAt​(String query, List<String> endpointIds)` |
    `RepositoryResult<Statement>` | `getStatements​(Resource subject, IRI predicate, Value object, Resource... contexts)` |
    `void` | `removeEndpoint​(String endpointId)` |
    `void` | `removeEndpoint​(Endpoint e)` |
    `void` | `shutdown()` |

- - ### Method Detail

    - #### evaluate

          TupleQueryResult evaluate​(String query)
                             throws QueryEvaluationException

      Throws:
        `QueryEvaluationException`

    - #### evaluate

          TupleQueryResult evaluate​(String query,
                                    List<Endpoint> endpoints)
                             throws FedXException,
                                    QueryEvaluationException

      Throws:
        `FedXException`
        `QueryEvaluationException`

    - #### evaluateAt

          TupleQueryResult evaluateAt​(String query,
                                      List<String> endpointIds)
                               throws FedXException,
                                      QueryEvaluationException

      Throws:
        `FedXException`
        `QueryEvaluationException`

    - #### getStatements

          RepositoryResult<Statement> getStatements​(Resource subject,
                                                    IRI predicate,
                                                    Value object,
                                                    Resource... contexts)

    - #### addEndpoint

          void addEndpoint​(Endpoint e)

    - #### removeEndpoint

          void removeEndpoint​(Endpoint e)

    - #### removeEndpoint

          void removeEndpoint​(String endpointId)

    - #### shutdown

          void shutdown()